# GetSocial iOS SDK Changelog

## v6.24.7 - Mar 26, 2019

**Fixed:**

+ Referral data is not passed from Facebook Messenger.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.6 - Mar 12, 2019

**New:**

+ Added `[GetSocial clearReferralData]` method to invalidate referral data.
+ Added `margin-top` and `margin-bottom` properties to `window` object in GetSocial UI configuration.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.5 - Feb 14, 2019

**Fixed:**

+ GetSocial UI couldn't be closed if SDK was not initialized.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.4 - Feb 11, 2019

**Fixed:**

+ Issue with incorrect old action in the notification entity.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.3 - Feb 6, 2019

**Fixed:**

+ Issues with binary symbols which makes app not running on device.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.2 - Jan 24, 2019

**Fixed:**

+ Issues with new supported languages.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.1 - Jan 23, 2019

**Fixed:**

+ Added missing analytics events to Instagram and Facebook Stories invites channels.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.0 - Jan 21, 2019

**Fixed:**

+ Images and videos in Activity Feed now appear in full screen.
+ Added support for App Requests, more info [here](/guides/notifications/usecases/overview/#send-friend-requests-challenge-friends-request-gifts).
+ Added Custom Events tracking feature, more info [here](/guides/tracked-events/custom-events/).
+ Added new supported languages, like Hindi, Thai, etc


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.23.1 - Dec 5, 2018

**Fixed:**

+ `windowTitle` property on `GetSocialUIInvitesView` didn't work.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.23.0 - Nov 20, 2018

**New:**

+ Added `GetSocialMediaAttachment` class.
+ Added options to attach media to `GetSocialNotificationContent`.

**Upgrading:**

We suggest to replace `setVideo`/`setImage`/`setVideoUrl`/`setImageUrl` methods in `GetSocialMutableInviteContent` and `GetSocialActivityPostContent` with `setMediaAttachment` or similar.

---

## v6.22.1 - Nov 7, 2018

**Fixed:**

+ Overall improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.22.0 - Oct 26, 2018

**New:**

+ Send end-to-end Push Notifications directly from SDK to another users. [Read more...](https://docs.getsocial.im/guides/social-notifications/ios/#send-notification).
+ Support full screen mode in GetSocial UI. [Read more...](https://docs.getsocial.im/knowledge-base/sdk-ui/customization/json-reference/#specifying-fullscreen-window)
+ Support for Instagram and Facebook Stories Smart Invites.
+ Support for clickable URL's for posts created from GetSocial Dashboard.

**Fixed:**

+ Issue with not properly working `fade-and-scale` window animation style.
+ Issue with incorrect order of fields in Activity Feed.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.21.1 - Oct 11, 2018

**Fixed:**

+ Overall improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.21.0 - Oct 1, 2018

**New:**

+ Invite channels icons are now customizable. [Read more...](https://docs.getsocial.im/knowledge-base/sdk-ui/customization/json-reference/#specifying-custom-invite-channel-icons)

**Fixed:**

+ Issue with non properly delivered push notifications.
+ Issue with disabled close button when loading indicator is visible.
+ Overall accessibility improvements.
+ Issue with incorrectly detected push notification environment.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.7 - Sep 10, 2018

**New:**

+ Sharing on Facebook is now possible without adding Facebook SDK.

**Fixed:**

+ Issue with not correctly placed `No network` icon.
+ Issue with deleted comments.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.6 - Aug 28, 2018

**Fixed:**

+ Some kind of notifications was not automatically marked as read after user clicked on it.
+ Few memory leaks.
+ Status bar was sometimes shown on iPads with specific configuration.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.5 - Aug 14, 2018

**New:**

+ Support latest version of KakaoTalk app.
+ Added `[GetSocial createInviteLink]` method for invite link creation.

**Fixed:**

+ `GetSocialInviteSuccessCallback` is now fired when user gets back to the application after sending the invite.

**Upgrading:**

In order to use latest version of KakaoTalk, KakaoSDK needs to be updated to version `1.9.0`.
Follow the installation guide: https://developers.kakao.com/docs/ios/getting-started 
Also, `GetSocialKakaoTalkInvitePlugin` has to be updated, which can be downloaded from https://github.com/getsocial-im/getsocial-ios-sdk/blob/master/plugins/GetSocialKakaoTalkInvitePlugin.m

---

## v6.20.3 - Jul 31, 2018

**Fixed:**

+ Removed error when keys starting with `$` were added to link params dictionary.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.0 - Jul 16, 2018

**Improved:**

+ Overall application improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.19.1 - Jul 6, 2018

**New:**

+ Added `[GetSocial isInviteChannelAvailable]` method.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.18.0 - May 21, 2018

**New:**

+ Query all the GetSocial notifications that were sent to user. [Read more...](https://docs.getsocial.im/guides/social-notifications/ios/#get-notifications)
+ Attach video or gif to the `GetSocialActivityPostContent` using `video` property.
+ Attach video or gif to the `GetSocialMutableInviteContent` using `video` property.
+ Add `setPushNotificationsEnabled:success:failure:` and `isPushNotificationsEnabledWithSuccess:failure:` methods.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.17.1 - May 10, 2018

**Improved:**

+ Fix issue with old referral data if app was in background.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.17.0 - Apr 16, 2018

**New:**

+ Now GetSocial notifications can be shown even if app is in foreground. [Read more...](https://docs.getsocial.im/guides/social-notifications/ios/#show-notifications-in-foreground).
+ Added VK support. [Read more...](http://docs.getsocial.im/guides/smart-invites/channels/setup-ios/#setup-integration-with-vk-sdk)
+ Added Push Notification actions to open the Smart Invites View and open URL. Read how to send notifications with new actions from the dashboard [here](https://docs.getsocial.im/guides/smart-targeting/send-notification/#action). 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.16.3 - Mar 28, 2018

**New:**

+ Landing page customization. [Read more...](https://docs.getsocial.im/guides/smart-links/customize-landing-page/ios/)

**Fixed:**

+ Fixed `Invalid Bundle - Disallowed LLVM instrumentation` error while submitting to the AppStore. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.3 - Mar 12, 2018

**Improved:**

+ Overall application improvements.
+ Added support for Viber and Telegram to Smart Invites.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.2 - Mar 5, 2018

**Improved:**

+ Overall application improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.1 - Feb 12, 2018

**Improved:**

+ Overall application improvements.


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.0 - Jan 29, 2018

**New:**

+ We replaced `GetSocialNotificationActionHandler` with `GetSocialNotificationHandler`, it is more flexible and allows you to handle notifications even if app is in foreground.

**Upgrading:**

`[GetSocial setNotificationActionHandler:...]` becomes `[GetSocial setNotificationHandler...]`, `GetSocialNotificationActionHandler` becomes `GetSocialNotificationHandler` and changed its signature. Read more in the [documentation](http://docs.getsocial.im/guides/social-notifications/ios/#handle-click-on-push-notifications).

---


## v6.14.0 - Jan 15, 2018

**New:**

+ Facebook share plugin. [Read more...](https://docs.getsocial.im/guides/smart-invites/ios/essential-setup/#setup-integration-with-facebook-sdk).
+ Added Facebook and Twitter to native share sheet.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.13.1 - Jan 2, 2018

**Fixed:**

+ We fixed occasional `EXC_BAD_ACCESS` crash in GetSocial framework.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.13.0 - Dec 19, 2017

**New:**

+ Tags. You can post an activity with any kind of tag and search for posts with tags. [Read more...](http://docs.getsocial.im/guides/activity-feed/android/posts#post-activity-with-tags).

**Fixed:**

+ We fixed the issue with keyboard type in the Activity Feed.
+ Fixed trimmed activity post text issue.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---


## v6.12.0 - Dec 6, 2017

**New:**

+ App mentions. Now users can mention app in the Activity Feed. Community manager will receive notification on the GetSocial Dashboard.
+ New methods to manage social relationships. [Read mode...](https://docs.getsocial.im/guides/social-graph/ios/building-social-graph-relationships/).

**Fixed:**

+ Fixed minor issue with reopening GetSocialUI





**Upgrading:**

If you were using `setMentionClickHandler`, keep in mind that starting from SDK v6.12.0 you can receive user id or string "app", which means that mention of the app was clicked. [Read more...](https://docs.getsocial.im/guides/activity-feed/ios/posts/#post-activity-with-mentions).

---

## v6.11.2 - Nov 20, 2017

**Improved:**

+ Fixed minor issues with video playback in Activity Feed.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.11.1 - Nov 9, 2017

**Improved:**

+ Fixed minor issues in Activity Feeds.
+ Fixed interference with other frameworks like Firebase.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.11.0 - Nov 6, 2017

**New:**

+ Added mentions feature. Now users can mentions each other with typing `@` symbol while posting Activity Post. To handle mention click in Activity Feed UI use `setMentionClickHandler` in `GetSocialUIActivityFeedView`. Read [how to mention user using GetSocial Data SDK](http://docs.getsocial.im/guides/activity-feed/ios/posts#post-activity-with-mentions).
+ Added method to reset current user and create new anonymous one. Use `[GetSocialUser resetWithSuccess:successBlock failure:failureBlock]`.
+ Now you can initialize GetSocial SDK with dynamic app ID using `[GetSocial initWithAppId:(NSString *)appId]`. 
+ Activity Feed now supports videos posted from Dashboard.

**Improved:**

+ Fixed minor issues in Activity Feeds.
+ Fixed occasional memory leaks.


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.10.1 - Oct 20, 2017

**Improved:**

+ Fixed minor issues in Activity Feeds.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.10.0 - Oct 18, 2017

**New:**

+ Added `referredUsers` method to get list of invited users who installed the app.
+ Expose API to initialize SDK manually. [Documentation](http://docs.getsocial.im/knowledge-base/manual-initialization/ios/).

**Improved:**

+ Invite plugins are now always invoked on main thread.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.9.1 - Oct 12, 2017

**Improved:**

+ We moved our API from custom ports to common `443`, so if you have some corporate firewall you will be able to use SDK as well.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.9.0 - Oct 2, 2017

**New:**

+ Display an activity feed with posts of your friends and your own using `setShowFriendsFeed:(BOOL)showFriendsFeed` of `GetSocialUIActivityFeedView`. [Documentation](http://docs.getsocial.im/guides/activity-feed/ios/posts/#friends-feed-view).
+ Get a list of activities of your friends and your own using `setIsFriendsFeed:(BOOL)friendsFeed` of `GetSocialActivitiesQuery`. [Documentation](http://docs.getsocial.im/guides/activity-feed/ios/posts/#friends-feed).

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.8.0 - Sep 18, 2017

**New:**

+ Introduced `gif` and `mp4` support for Smart Invites. Check out the supported invite channels in [docs](https://docs.getsocial.im/guides/smart-invites/channels/supported-invite-channels/). 

**Improved:**

+ Improved push notifications registration process.


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.7.0 - Sep 5, 2017

**New:**

+ Added `GetSocialTwitterPlugin` which uses TwitterSDK to send invites on Twitter.  

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.6.2 - Aug 22, 2017

**New:**

+ Added `isGuaranteedMatch` flag to the `GetSocialReferralData` to indicate certainty that data correspond to the user.  




**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.6.0 - Aug 1, 2017

**New:**

+ Activity Feed view for specific user using `setFilterByUser:(GetSocialId)userId` of `GetSocialActivityFeedView`.
+ Read-only Activity Feed view using `setReadOnly:(BOOL)readOnly` of `GetSocialActivityFeedView`.
+ Query activity feed posts or comments for specific user using `filterByUser:(GetSocialId)userId` of `GetSocialActivitiesQuery`.
+ Method `[GetSocialUser setAvatar:(UIImage *)avatar success:successBlock failure:failureBlock]`, so now you can set image directly as user avatar image, not only from URL.
+ Added dark and white UI themes to the demo app. 
+ Security improvements: [Documentation](http://docs.getsocial.im/knowledge-base/sdk-security/)




**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.5.0 - Jul 13, 2017

**New:**

+ Added sample landscape UI configuration to the demo app.
+ Content Reporting in Activity Feeds. [Documentation](https://docs.getsocial.im/guides/activity-feed/reporting-content/)
+ Smart Links support. [Documentation](http://docs.getsocial.im/guides/smart-links/introduction/)

**Fixed:**

+ Custom UI configuration merged with default configuration. If any of the elements not specified in the custom configuration, UI will use the default values for that element.
+ Not used architectures (like x86_64 ) will be removed when building `Release` configuration.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.4.0 - Jun 26, 2017

**New:**

+ Added API to get list of suggested friends. [Documentation](http://docs.getsocial.im/guides/social-graph/ios/querying-social-graph/#suggested-friends).

+ Added ability to set path to UI configuration file via `info.plist`. [Documentation](http://docs.getsocial.im/knowledge-base/sdk-ui/ios/#load-ui-configuration).
+ Added methods `getAllPublicProperties` and `getAllPrivateProperties` in `GetSocialUser` and `GetSocialPublicUser` classes. 

**Fixed:**

+ Duplicate subject while sending Smart Invite via Native Share.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.3.0 - Jun 12, 2017

**New:**

+ Now you can disable image attachment to Smart Invites from Dashboard. Useful to avoid charges for sending MMS instead of SMS.
+ Method `userById:`, you can retrieve `GetSocialPublicUser` entity having only user ID.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.2.0 - May 29, 2017

**New:**

+ Added `ActivityDetailsView`, now you can open activity comments from code.
+ Added `executeWhenInitialized` method to be able to execute any action right after SDK is initialized.
+ Added `setAvatarClickHandler` method to `GetSocialUIActivityFeedView` and `GetSocialUIActivityDetailsView`. You can use this method to get notified if a user clicked on a user's avatar.
+ Added `image` property to `GetSocialMutableInviteContent` to set invite image using binaries.
+ Facebook and Kakao plugins share image as well in Smart Invites.


**Fixed:**

+ Custom translated text issue in Smart Invites.


**Upgrading:**

No special steps required. Please follow default upgrade guide.

----

## v6.1.0 - May 15, 2017

**New:**

+ Added `User Properties` functionality. Now you can store some custom properties for each user. More info in [documentation](http://docs.getsocial.im/guides/user-management/ios/get-set-user-properties/).
+ Added `GetSocialUIActionHandler`, you can set it with `setUiActionHandler:` method on any of `GetSocialUIView.h` chidren. All possible actions you can find in `GetSocialUIActionType` enum in `GetSocialUIPublicConstants.h`. More info in [documentation](http://docs.getsocial.im/guides/ui-framework/ios/#ui-user-actions-handling).



**Fixed:**

+ Ukrainian and Russian localization for plural nouns.
+ Analytics crash on concurent list modification.
+ Action buttons background issue in landscape mode.
+ GetSocial Views stack is not cleared on iOS 8 devices.
+ No empty view in case there are no activities yet.

**Changed:**

+ Method `setActionListener:` in `GetSocialUIActivityFeedView` became `setActionButtonHandler:`, type alias `ActivityButtonActionListener` now is `ActivityButtonActionHandler`. 

**Upgrading:**

Please follow the default upgrade guide and update code with new type and handler signatures.

---

## v6.0.3 - May 1, 2017

**Fixed:**

+ Now `setWindowTitle:` works for all GetSocial windows.
+ Fixed issue when SDK do not initialize after changing GetSocial App Id.




**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.0.2 - Apr 21, 2017

**New:**

+ Added `setHandlerForViewOpen:close:` method to all GetSocial Views. Now you can subscribe to GetSocial View lifecycle events.

**Fixed:**

+ Fix issue with empty Smart Invite text if it was updated from Dashboard.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.0.1 - Apr 19, 2017

**Fixed:**

+ Fixed crash when app started in landscape mode.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.0.0 - Apr 13, 2017

GetSocial SDK version 6 is a major update that brings a lot of improvements, new features and breaking changes. Follow the guide below to learn about what changed and how to upgrade to SDK v6.

### Important Changes





**New:**

+ **Data API**. With GetSocial's Data API developers can now access the data layer of all our features breaking dependency on our UI and giving them more flexibility.
+ **Dynamic Activity Feeds**. Developers can now create activity feeds on the fly. They can have a feed per clan, per fraction, per geo, or even level specific.
+ **Sticky activities are now Announcements**. Developers can now post multiple announcements (announcements are always pinned on top) expiring at different time periods. All their announcements are accessible from one convenient location and can be rescheduled even after they expire.
+ **Auto-initialization**. Integration just got easier, SDK will automatically initialize with your app, no need to take care of that.


**Updated:**

+ **Simplified API**. We, at GetSocial, strive to provide the best integration experience. To achive this we had to rework our public API from scratch, it become easier to use and understand. It won't be possible without breaking changes, **GetSocial SDK version 6 is not backward compatible with SDK version 5.

**Removed:**



### Upgrading 

GetSocial SDK v6 is not backward compatible. The easiest way to upgrade is to remove GetSocial SDK v5 from your project and start with a fresh integration. Detailed steps below: 

1. Contact us at support@getsocial.im or via the support channel in our Dashboard to do the manual migration of your app to the new Dashboard. 

1. Remove GetSocial SDK v5 from your project:
    2.1. If you're using CocoaPods, remove dependencies to GetSocial SDK in the Podfile. If you did a manual integration, remove `GetSocial.embeddedframework` and ``GetSocialChat.embeddedframework`` from your project. 
    2.2. Comment out all usages of GetSocial SDK in the code to avoid compilation errors.

1. Follow [Getting Started Guide](/guides/getting-started/ios/) to integrate GetSocial iOS SDK v6.
1. Update commented GetSocial API method calls according to the mapping below. 

### Method Mappings

In SDK v6 almost all methods are static and all returned objects immutable. For instance, in SDK v5 to get user name you had to call:
  
```objc
NSString *name = [[[GetSocial sharedInstance] currentUser] displayName];
```

In SDK v6 you have to call static method:

```objc
NSString *name = [GetSocialUser displayName];
```


**Initialization**


| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `initWithKey:success:failure:` | SDK is auto-initialized now, details in [Getting Started Guide](/guides/getting-started/ios/). |
| `isInitialized` | `[GetSocial isInitialized]` |


**User Management**

All user management methods in SDK v5 were called on the instance of the `GetSocialCurrentUser` object, e.g. `[[[GetSocial sharedInstance] currentUser] displayName]`. In SDK v6 it is not possible to get `GetSocialCurrentUser` object, instead you can get separate properties via static methods exposed via `GetSocialUser` class. Learn more in [Introduction to GetSocial User Management](/guides/user-management/introduction/) guide.

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `guid`                            | `[GetSocialUser userId]` |
| `isAnonymous`                     | `[GetSocialUser isAnonymous]` |
| `displayName`                     | `[GetSocialUser displayName]` |
| `setDisplayName:success:failure:` | `[GetSocialUser setDisplayName:success:failure:]` |
| `avatarUrl`                       | `[GetSocialUser avatarUrl]` |
| `setAvatarUrl:success:failure:`   | `[GetSocialUser setAvatarUrl:success:failure:]` |
| `identities`                      | `[GetSocialUser authIdentities]` |
| `hasIdentityForProvider:providerId`         | `[[[GetSocialUser authIdentities] allKeys] containsObject:providerId]` |
| `userIdForProvider:providerId`              | `[[GetSocialUser authIdentities] objectForKey:providerId]` |
| `addUserIdentity:complete:failure:conflict:`        | `[GetSocialUser addAuthIdentity:success:conflict:failure:]` |
| `removeUserIdentityForProvider:success:failure:`    | `[GetSocialUser removeAuthIdentityWithProviderId:success:failure:]` |
| `followersWithOffset:count:success:failure:` <br/> `followingWithOffset:count:success:failure:`                               | Following and followers become a one concept - friends, e.g. `[GetSocialUser friendsWithOffset:limit:success:failure:]` |
| `isFollowingUser:success:failure:` <br/>  `isFollowedByUser:success:failure:`                                         | `[GetSocialUser isFriend:success:failure:]` |
| `followUser:success:failure:`, `followUserWithProvider:userId:success:failure:`, `followUserWithGuid:success:failure:`        | `[GetSocialUser addFriend:success:failure:]` |
| `unfollowUser:success:failure:`, `unfollowUserWithProvider:userId:success:failure:`, `unfollowUserWithGuid:success:failure:`  | `[GetSocialUser removeFriend:success:failure:]` |
| `resetWithSuccess:failure:`                         | Removed |



**Smart Invites**

In SDK v6 Invite Provides were renamed to Invite Channels. Moreover, in v6 referral data retrieval is implemented in pull mode, that means that you have to ask for data instead of listening when it will arrive. Learn more in [Sending and Receiving Referral Data](/guides/smart-invites/ios/referral-data/) guide.

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `registerPlugin:provider:` | `[GetSocial registerInviteChannelPlugin:forChannelId:]` |
| `getSupportedInviteProviders` | `[GetSocial inviteChannels]` |
| `inviteFriendsUsingProvider:withProperties:` and `setInviteFriendsBlock:` were merged | `[GetSocial sendInviteWithChannelId:inviteContent:customReferralData:success:cancel:failure:]` |
| `setOnReferralDataReceivedHandler:` | `[GetSocial referralDataWithSuccess:failure:]`|


**Activity Feed**

In SDK v6 it is possible to create Activity Feed dynamically from the SDK. If feed does not exist it will be created dynamically. Learn more in [Introduction to GetSocial Activity Feeds](/guides/activity-feed/introduction/). 

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `postActivity:withImage:buttonText:action:andTags:success:failure:` | `[GetSocial postActivity:toFeed:success:failure:]` |


**UI**

In SDK v6 UI configuration API from code was removed, use JSON file instead. JSON files from SDK v5 are backward compatible with SDK v6. Learn more about [UI Customization](/guides/ui-customization/introduction/).  

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `[[GetSocial sharedInstance] configuration] setConfiguration]` | `[GetSocialUI loadConfiguration:]`  and  `[GetSocial loadDefaultConfiguration]` |
| `setOnWindowStateChangedHandler:`                              | `[[GetSocialUI createInvitesView] setHandlerForViewOpen:close:]` |
| `closeView:`                                                   | `[GetSocialUI closeView:]` |
| `restoreView`                                                  | `[GetSocialUI restoreView]` |
| `createSmartInviteView`                                        | `[GetSocialUI createInvitesView]` |
| `createActivitiesView`                                         | `[GetSocialUI createActivityFeedView:]` and `[GetSocialUI createGlobalActivityFeedView]`|
| `setOnActivityActionClickHandler:`                             | `[[GetSocialUI createActivityFeedView:] setActionListener:]` |
| `createUserListViewWithDismissHandler:` | Removed |
| `setOnInviteButtonClickHandler:` | Removed |
| `createNotificationsView` | Removed |
| `setOnUserAvatarClickHandler:` | Removed |
| `setOnUserAppClickHandler:` | Removed |
| `setOnNotificationsChangeHandler:` | Removed |
| `setOnUserGeneratedContentHandler:` | Removed |

**Other**

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `setLanguage:@"uk"` | `[GetSocial setLanguage: GetSocial_Languages_Ukrainian]` |
| `language` | `[GetSocial language]`|
| `sdkVersion` constant | `[GetSocial sdkVersion]` |


!!! tip "Can't figure our correct mapping?"
    Feel free to reach us at support@getsocial.im or via the support channel in our Dashboard if you need any help with the migration.

---

## Older Versions

Changelog for older versions of GetSocial Android SDK is available on [GitHub Releases](https://github.com/getsocial-im/getsocial-ios-sdk/releases?after=v6.0.0).
